/**
 * $Revision$
 * $Date$
 *
 * Copyright (C) 1999-2005 Jive Software. All rights reserved.
 * This software is the proprietary information of Jive Software. Use is subject to license terms.
 */
package org.jivesoftware.plugins.instantFeeds;

import org.jivesoftware.database.JiveID;

/**
 * Feed describes an Atom / RSS feed in the instantFeeds plugin. The ID
 * is auto-generated by Openfire, the name comes from the &lt;title&gt;
 * element of the feed, the URL is the path to the feed and the
 * mostRecentEntry is the URL to the most recently retrieved item
 * in the feed.
 */
@JiveID(InstantFeedsPlugin.JIVEIDFEED)
public class Feed {

    private long ID;
    private String name;
    private String URL;
    private String mostRecentEntry;

    public Feed(long feedID, String name, String url, String mostRecentEntry) {
        this.ID = feedID;
        this.name = name;
        this.URL = url;
        this.mostRecentEntry = mostRecentEntry;
    }


    public long getID() {
        return ID;
    }

    public void setID(long ID) {
        this.ID = ID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getURL() {
        return URL;
    }

    public void setURL(String URL) {
        this.URL = URL;
    }


    public String getMostRecentEntry() {
        return mostRecentEntry;
    }

    public void setMostRecentEntry(String mostRecentEntry) {
        this.mostRecentEntry = mostRecentEntry;
    }
}
