/**
 * $Revision$
 * $Date$
 *
 * Copyright (C) 1999-2005 Jive Software. All rights reserved.
 * This software is the proprietary information of Jive Software. Use is subject to license terms.
 */
package org.jivesoftware.plugins.instantFeeds;

/**
 *
 */
public class FeedSubscriptionRequest {
    private String jid;
    private String url;
    private String confirmationURL;
    private boolean verified;


    public FeedSubscriptionRequest() {

    }

    /**
     * Constructor for feed subscription requests where the user has already verified
     * that they want to receive alerts.
     * @param jid
     * @param url
     */
    public FeedSubscriptionRequest(String jid, String url) {
        this.jid = jid;
        this.url = url;
        verified = true;
    }


    public FeedSubscriptionRequest(String jid, String url, String confirmationURL) {
        this.jid = jid;
        this.url = url;
        this.confirmationURL = confirmationURL;
    }


    public String getJid() {
        return jid;
    }

    public String getUrl() {
        return url;
    }

    public String getConfirmationURL() {
        return confirmationURL;
    }


    public boolean isVerified() {
        return verified;
    }
}
